Ask / Submit
41

[Jolla Phone] Sailfish 2.0 & Android

asked 2015-10-05 18:45:15 +0200

JollaHB gravatar image

updated 2015-10-06 01:14:20 +0200

On Sailfish 2.0. the Android-Version is still 4.1.2

Please update them, too or enable a possibility to update it manually!

Since Sailfish 2.0 arrived on Jolla Phone, it is no longer possible to install .apk-Files, using the Jolla File Manager. The only way for installing .apk-Files is now, using a foreign browser, like Firefox or Opera, download the same file as before again and than tap on "open" on the browser download folder. Thats very annoying.

And the least but not last thing that I found out is, that on Sailfish 2.0 using a SD-Card ist still not supported. You can still not store Apps, Photos or Screenshots on it, only read things, stored by another extern device before. Sailfish 2.0 still only stores and saves on the intern phone memory and is still ignoring if a SD-Card is installed.

Thats so a waste of memory! Please change this, too!

And the recognition of the Jolla Phone on a Windows PC using the "connect with USB"-Fuction is still a Game of pure Chance.

edit retag flag offensive close delete

Comments

9

On updating Android version, that would be up to Myriad who develops Alien Dalvik (it's a 3rd party service on Jolla Phone). However, there's no request on TJC asking for an update, so your question is relevant on that part.

On the other two, there are already questions you can vote up. I suggest removing them from your post to keep only one request in this question. Also the topic might be better as "Please update Android version on Jolla Phone".

Recent answer by Jolla regarding Android versions

Future of Android support is also a quite relevant question with yours

simo ( 2015-10-05 19:01:08 +0200 )edit
2

These are some valid points. We need this done.

Mr.Pancake ( 2015-10-05 22:34:41 +0200 )edit

BTW is there any information what Android version is supported by SFOS on the tablet? Current 4.1.2 support is slightly (to put it mildly) outdated. Many of the apps I do need are asking for at least 4.3 (((

rburkhanov ( 2015-10-05 23:07:23 +0200 )edit

Not possible to install .apk files from the Jolla File Manager? I have no problem at all with installing .apk files with the File Browser. And all android apps (notifications, etc) work a lot beter on Sailfish 1.1.9.x.

richdb ( 2015-10-06 09:57:12 +0200 )edit

@burkhanov I haven't seen official release notes for the tablet, but 4.4 is expected (by github commits), and even 5 has been mentioned. But these both are unofficial information at this point.

simo ( 2015-10-06 11:55:13 +0200 )edit

2 Answers

Sort by » oldest newest most voted
6

answered 2015-10-06 01:29:41 +0200

virgi26 gravatar image

from roadmap: Intel support for Android runtime along with upgrade to version 4.4.4 – beta version

edit flag offensive delete publish link more

Comments

2

I suspect that's tablet only

strongm ( 2015-10-06 01:53:37 +0200 )edit
1

I would say roadmap stuff should be OS specific and not adaption specific. I would read it like this: Intel support for Alien Dalivk AND in general upgrade to version 4.4.4

MoritzJT ( 2015-10-06 07:01:45 +0200 )edit
4

@MoritzJT, unfortunately in this case it is not. There was a comment from one of the sailors on a similar question, and the alien-dalvik runtime version is tied to the BSP of the device and so the notes about 4.4.4 are tablet only.

EDIT: found it, more info here

r0kk3rz ( 2015-10-06 11:28:01 +0200 )edit
5

that's a pitty=\ i really thought that upgrade is device-independant

virgi26 ( 2015-10-06 12:37:51 +0200 )edit
1

That doesn't even make sense. Read again: "upgrade to version 4.4.4" ... "upgrade" ... So if this is what will be shipped at the tablet at release while the phone is nailed down to 4.1.2 there is no upgrade, just a nail and a release.

//EDIT: Also this isn't marked as "Tablet specific" in the roadmap.

V10lator ( 2015-10-08 23:29:52 +0200 )edit
1

answered 2015-11-04 10:19:15 +0200

JollaHB gravatar image

updated 2015-11-04 11:22:12 +0200

Update; Sadly none of the problems described in this Thread (except the .apk one) has been solved in Sailfish 2.0.0.10!

But I found a new problem: since Sailfish 2.0.0.10 is installed I have every few minutes the Pop-Up "Remote keyboard has been crashed" and then Jolla freezes any app that is open in the moment the Pop-Up will appear. So please fix this permanent error and the other here reported Problems with Jolla and also the Android-Version, too.

edit flag offensive delete publish link more

Comments

3

Please don't report a bug in an answer to a different question. Make a new question for your problem, if nobody else has reported it earlier, then you should continue in that thread.

nick75 ( 2015-11-04 11:12:48 +0200 )edit
1

Yes, I noticed this error message too in Whatsapp. The app still functions, though. But this should be a separate question.

bilgy_no1 ( 2015-11-04 11:33:24 +0200 )edit
Login/Signup to Answer

Question tools

Follow
5 followers

Stats

Asked: 2015-10-05 18:45:15 +0200

Seen: 1,888 times

Last updated: Nov 04 '15